[sane-devel] Gcc 3.0.x

Henning Meier-Geinitz henning@meier-geinitz.de
Sat, 9 Feb 2002 13:22:02 +0100


On Sat, Feb 09, 2002 at 12:59:12PM +0100, Willy Gardiol wrote:
> I copuld make sense to add gcc 3.0.x as supported platform because of Epson 
> I explain my words. I am using only gcc 3.0.2 so i cannot use a precompiled 
> library for 2.95.4.
> I would like to use the KOWA Iscan software on my epson 1650photo but i 
> cannot because it has a binary only library for gcc 2.95.4. 
> I have written to KOWA and they says they will give precompiled for gcc 3 
> only after sane will support it.

Urgs. What a funny answer from KOWA. SANE doesn't "support" any
compilers. The list provides just examples of what is known to work. We
usually don't provide binaries so it's up to the user which compilere
he uses.

> This seems to me just a way to give an answer, but is there will be written 
> on that page "gcc 3.0.x" supported they will have to find a new excuse...

Don't get me wrong. I have nothing against mentioning gcc 3.x in the
list. I will check for other reports (HP-UX 11.x anyone?) and include
it sometime in the future.

Two questions: Are C-libraries really incompatible just because of
different versions of gcc? At least I don't have difficulties using
gcc-2.95 compiled libs with a gcc-3 compiled XSane.
Can you say some words on what "KOWA Iscan" is and if it interoperates
with SANE in any way? And what's the problem with a gcc-2.95 version
of this software?